Bug 839963 - Adding a run doesn't preserve plan ordering of tests
Adding a run doesn't preserve plan ordering of tests
Status: NEW
Product: TCMS
Classification: Other
Component: Web UI (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 4.0
Assigned To: June Zhang
Depends On:
  Show dependency treegraph
Reported: 2012-07-13 06:06 EDT by mkovacik
Modified: 2016-05-26 09:25 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description mkovacik 2012-07-13 06:06:41 EDT
Description of problem:
The "add run" action should preserve ordering specified in a plan for obvious reasons

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. create test plan
2. sort the plan tests in a custom order
3. add a plan run
4. check out the test ordering in a run isn't the same as in the plan
Actual results:
Adding a run doesn't preserve plan ordering of tests

Expected results:
Test cases in a run should be ordered in the same way as in the plan in time of adding the run...

Additional info:
Comment 1 yawei Li 2012-07-23 23:50:08 EDT
yes, it is a reasonable requirement. We will survey on other customers to find if this change will not impact others' work flow.

Note You need to log in before you can comment on or make changes to this bug.